aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEd Bartosh <ed.bartosh@linux.intel.com>2016-12-08 17:27:23 +0200
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-12-13 22:47:29 +0000
commite1c96125ea674509fbc9b36dc671b7a53bd848ac (patch)
treebeaeabbe4b16e607bc9af884dd3de4833cdb1e80
parent7a8726a3662a3909dc6ef6e8d1029d0b1aa938c3 (diff)
downloadopenembedded-core-contrib-e1c96125ea674509fbc9b36dc671b7a53bd848ac.tar.gz
oe-run-native: standardize usage output
Made usage output of oe-run-native to look similar to the output of other oe scripts. [YOCTO #10751] Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rwxr-xr-xscripts/oe-run-native11
1 files changed, 9 insertions, 2 deletions
diff --git a/scripts/oe-run-native b/scripts/oe-run-native
index 496e34f70e..7e26ea3fcc 100755
--- a/scripts/oe-run-native
+++ b/scripts/oe-run-native
@@ -22,8 +22,15 @@
#
if [ $# -lt 1 -o "$1" = '--help' -o "$1" = '-h' ] ; then
- echo "Usage: $0 <native tool> [parameters]"
- exit 1
+ echo 'oe-run-native: error: the following arguments are required: <native tool>'
+ echo 'Usage: oe-run-native tool [parameters]'
+ echo ''
+ echo 'OpenEmbedded run-native - runs native tools'
+ echo ''
+ echo 'arguments:'
+ echo ' tool Native tool to run'
+ echo ''
+ exit 2
fi
SYSROOT_SETUP_SCRIPT=`which oe-find-native-sysroot 2> /dev/null`